Subject: bug#36940: tests slowness and failure after recent Tramp changes

From: Michael Albinus <[email-masked]>
Date: Mon, 26 Aug 2019 11:22:16 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> Yes. But it compares file names as returned from the remote host, so
>> both strings are transformed the same way. I believe.
>
> Are the strings returned by the remote compared as unibyte strings?
> If not, maybe there's a subtle bug in the comparison that does fail.
> For example, could it be that you decode those strings as utf-8, not
> as utf-8-hfs?  The latter should produce back the composed characters,
> I think.

The error happens while searching in a process buffer, which is set properly:

14:40:39.573073 tramp-open-connection-setup-interactive-shell (5) # Setting coding system to `utf-8-hfs' and `utf-8-hfs-mac'

But the search string needs to be normalized as proposed by you. Will do.

Best regards, Michael.